picard.annotation

## Class GeneAnnotationReader

- java.lang.Object
- - picard.annotation.GeneAnnotationReader

-     public class GeneAnnotationReader
      extends Object

  Load gene annotations into an OverlapDetector of Gene objects. Currently only refFlat format is accepted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneAnnotationReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static htsjdk.samtools.util.OverlapDetector<Gene>` | `loadRefFlat(File refFlatFile, htsjdk.samtools.SAMSequenceDictionary sequenceDictionary)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneAnnotationReader

          public GeneAnnotationReader()

  - ### Method Detail

    - #### loadRefFlat

          public static htsjdk.samtools.util.OverlapDetector<Gene> loadRefFlat(File refFlatFile,
                                                                               htsjdk.samtools.SAMSequenceDictionary sequenceDictionary)